%define major_version 1.1
%define minor_version 9

# only have localization for en right now
%global consolelang en

Name: 389-console
Version: %{major_version}.%{minor_version}
Release: %mkrel 2
Group:   System/Servers
Summary: 389 Management Console

License: LGPLv2
URL: http://port389.org

BuildArch: noarch
Source: http://port389.org/sources/%{name}-%{version}.tar.bz2
Requires: idm-console-framework
Requires: java >= 1:1.6.0
Requires: jpackage-utils
BuildRequires: ant
BuildRequires: ldapjdk
BuildRequires: jss
BuildRequires: idm-console-framework
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils

%description
A Java based remote management console used for managing 389
Administration Server and 389 Directory Server.

%prep
%setup -q
                                                                                
%build
%{ant} \
    -Dbuilt.dir=`pwd`/built -Dman.dir=`pwd`/built%{_mandir} \
    buildnoscript


# add -Dlib.dir and -Dneed_libdir on those platforms where
# jss is installed in a non-standard location
# -Dneed_libdir=yes

%install
install -d $RPM_BUILD_ROOT%{_javadir}
install -m644 built/*.jar $RPM_BUILD_ROOT%{_javadir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/java
cat > $RPM_BUILD_ROOT%{_sysconfdir}/java/%{name}.conf <<EOF
for file in %{_sysconfdir}/java/*-%{name}.conf ; do
    if [ -f "\$file" ] ; then
       . "\$file"
    fi
done
mylang=\${mylang:-%{consolelang}}
ADDITIONAL_JARS=\${ADDITIONAL_JARS:-%{name}_\$mylang.jar}
ADDITIONAL_OPTIONS=\${ADDITIONAL_OPTIONS:-"-Djava.util.prefs.systemRoot=\$HOME/.%{name} -Djava.util.prefs.userRoot=\$HOME/.%{name}"}
EOF
chmod 644 $RPM_BUILD_ROOT%{_sysconfdir}/java/%{name}.conf
%jpackage_script com.netscape.management.client.console.Console "" "" jss4.jar:ldapjdk.jar:idm-console-base.jar:idm-console-mcc.jar:idm-console-mcc_%{consolelang}.jar:idm-console-nmclf.jar:idm-console-nmclf_%{consolelang}.jar %{name} true

install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m644 built%{_mandir}/man8/* $RPM_BUILD_ROOT%{_mandir}/man8

%files
%doc LICENSE
%{_javadir}/%{name}_%{consolelang}.jar
%{_bindir}/%{name}
%{_sysconfdir}/java/%{name}.conf
%{_mandir}/man8/*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.1.9-2.mga6
+ Revision: 969063
- Mageia 6 Mass Rebuild

* Tue Aug 04 2015 spuhler <spuhler> 1.1.9-1.mga6
+ Revision: 861148
- updated spec file in sync with Fedora (upstream)
- upgrade to vers. 1.1.9

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-8.mga5
+ Revision: 747631
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-7.mga5
+ Revision: 677632
- Mageia 5 Mass Rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.1.7-6.mga4
+ Revision: 563615
- Fix build

* Fri Oct 18 2013 umeabot <umeabot> 1.1.7-3.mga4
+ Revision: 502405
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.7-2.mga3
+ Revision: 345049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 spuhler <spuhler> 1.1.7-1.mga3
+ Revision: 311420
- cleaned spec file and added java patch
- imported package 389-console

